package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamQuestionPlayTime;


@Repository
public interface ExamQuestionPlayTimeRepo extends JpaRepository<ExamQuestionPlayTime, Long>, JpaSpecificationExecutor<ExamQuestionPlayTime> {

	public ExamQuestionPlayTime findByExamRecordDataIdAndMediaName(Long examRecordDataId,String mediaName);
	
	public List<ExamQuestionPlayTime> findByExamRecordDataIdAndQuestionOrder(Long examRecordDataId,Integer questionOrder);
}
